/*   libgebr - GeBR Library
 *   Copyright (C) 2007-2009 GeBR core team (http://www.gebrproject.com/)
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LIBGEBR_DEFINES_H
#define __LIBGEBR_DEFINES_H

#include <glib.h>

G_BEGIN_DECLS

/* ENABLE_TIDY = 1, to enable, 0 to disable */
#define ENABLE_TIDY		1

#define DATA_DIR		"/usr/share/"
#define	PACKAGE_LOCALE_DIR	DATA_DIR"/locale"

#define LIBGEBR_VERSION         "0.12.0"
#define LIBGEBR_DATA_DIR	DATA_DIR"/libgebr"
#define LIBGEBR_HELP_TEMPLATE	LIBGEBR_DATA_DIR"/geoxml/help-template.html"
#define LIBGEBR_PIXMAPS_DIR	LIBGEBR_DATA_DIR"/pixmaps"
#define LIBGEBR_ICONS_DIR	LIBGEBR_DATA_DIR"/icons"
#define LIBGEBR_CKEDITOR_DIR	LIBGEBR_DATA_DIR"/ckeditor"
#define LIBGEBR_STYLES_DIR	LIBGEBR_DATA_DIR"/styles"

#define GEBR_GEOXML_FLOW_VERSION		"0.3.6"
#define GEBR_GEOXML_LINE_VERSION		"0.3.2"
#define GEBR_GEOXML_PROJECT_VERSION		"0.3.2"
#define GEBR_GEOXML_DOCUMENT_VERSION		"0.3.2"
#define GEBR_GEOXML_DTD_DIR			LIBGEBR_DATA_DIR"/geoxml" 

#if !GLIB_CHECK_VERSION(2,6,0)
#include <unistd.h>
#define g_unlink(filename) unlink(filename)
#endif

G_END_DECLS

#endif //__LIBGEBR_DEFINES_H
